<?php

namespace Drupal\entity_reference_hierarchy_revisions\Plugin\Field\FieldType;

use Drupal\entity_reference_revisions\Plugin\Field\FieldType\EntityReferenceRevisionsItem;
use Drupal\entity_reference_hierarchy\Plugin\Field\FieldType\EntityReferenceHierarchyItemTrait;

/**
 * Defines the 'entity_reference_hierarchy_revisions' field type.
 *
 * @FieldType(
 *   id = "entity_reference_hierarchy_revisions",
 *   label = @Translation("Entity reference revisions tree"),
 *   description = @Translation("An entity field containing a hierarchical entity reference to a specific revision"),
 *   category = @Translation("Reference revisions"),
 *   default_widget = "entity_reference_hierarchy_revisions_autocomplete",
 *   default_formatter = "entity_reference_label",
 *   list_class = "\Drupal\entity_reference_hierarchy_revisions\EntityReferenceHierarchyRevisionsFieldItemList",
 * )
 */
class EntityReferenceHierarchyRevisionsItem extends EntityReferenceRevisionsItem {

  use EntityReferenceHierarchyItemTrait;
}
